Subject: bug#39865: 28.0.50; Emacs crash

From: Vinicius José Latorre <[email-masked]>
Date: Fri, 6 Mar 2020 14:20:42 -0300

> OK, then the crash is a known problem: you cannot change the font
> backend once the session started, you can only do that in X resources.
> Previously, XFT was your original backend, but now it's HarfBuzz.

I think that emacs should be more robust about this and do not crash for
any bad value.

> Why are you doing this?  What happens/doesn't work if you remove this
> line?

Well, I use emacs since 1992, I don't remember why I set this.

Removing this line all works like a charming.

On Fri, Mar 6, 2020 at 4:18 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Vinicius José Latorre <[email-masked]>
> > Date: Thu, 5 Mar 2020 19:21:22 -0300
> > Cc: [email-masked]
> >
> > I found this line in my ~/.emacs that causes the crash:
> >
> > (push '(font-backend xft x) default-frame-alist)
>
> OK, then the crash is a known problem: you cannot change the font
> backend once the session started, you can only do that in X resources.
> Previously, XFT was your original backend, but now it's HarfBuzz.
>
> Why are you doing this?  What happens/doesn't work if you remove this
> line?
>